Create a changelog
Create a new changelog entry to announce product updates.
Introduction
The FeatureOS create a changelog API allows you to create a changelog in your organization. You can also create changelogs' associated data.
POST
https://api.featureos.app/api/v3/changelogs
curl -X POST 'https://api.featureos.app/api/v3/changelogs' \
-H 'API-KEY: YOUR_API_KEY' \
-H 'Content-Type: application/json'Headers
| Parameter | Default | Description |
|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. |
| Authorization | - | Generate a unique JWT token specific to a user. |
Query Parameters
| Parameter | Required | Format | Description |
|---|---|---|---|
| title | true | String | Title of the changelog (also used to create the slug) |
| description | false | Text | Details of the changelog (can be in HTML) |
| published | false | Boolean | Set to true if you want the changelog to be published immediately |
| scheduled_published_at | false | Date | Any valid date format is accepted as long as it is in the future |
| original_id | false | Boolean | The ID of the original changelog. This is required if you are creating a changelog in a different language. |
| feature_requests_ids | false | Array | The IDs of the feature requests to be added to the changelog. |
| locale | true (If adopted to Multilingual Changelog Feature) | String | Select from the list of supported languages that have been configured in the UI: en (English), es (Spanish), pt (Portuguese), de (German), fr (French), ja (Japanese), ru (Russian), ko (Korean), zh (Chinese Simplified), zh-TW (Chinese Traditional), pt-BR (Brazilian Portuguese), it (Italian), nl (Dutch), tr (Turkish), id (Indonesian), vi (Vietnamese), th (Thai), pl (Polish), sv (Swedish), ms (Malay), tl (Tagalog), da (Danish), ar (Arabic). |